Skip to main content
`Ctrl`+`K`

# DMDASetOwnershipRanges

Sets the number of nodes in each direction on each process

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetOwnershipRanges(DM da, const PetscInt lx[], const PetscInt ly[], const PetscInt lz[])

Logically Collective

## Input Parameters

- da - The `DMDA`

- lx - array containing number of nodes in the X direction on each process, or `NULL`. If non-null, must be of length da->m

- ly - array containing number of nodes in the Y direction on each process, or `NULL`. If non-null, must be of length da->n

- lz - array containing number of nodes in the Z direction on each process, or `NULL`. If non-null, must be of length da->p.

## Note

These numbers are NOT multiplied by the number of dof per node.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate()`, `DMDestroy()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages